Skip to main content

GET /api/chains/ethereum/stats

Ethereum stats

List supported blockchain networks

Endpoint​

GET https://api.web3identity.com/api/chains/ethereum/stats

Example Request​

curl -s "https://api.web3identity.com/api/chains/ethereum/stats" | jq

Responses​

200 Ethereum stats​

{
"chain": "Ethereum",
"tvl": 45234567890.12,
"blockHeight": 19234567,
"gasPrice": 38,
"transactions24h": 1234567,
"activeAddresses24h": 456789
}

400 Bad request - invalid parameters​

{
"example": "response"
}

402 Payment required - free tier exhausted​

{
"example": "response"
}

404 Resource not found​

{
"example": "response"
}

429 Rate Limited​

{
"example": "response"
}

500 Internal Server Error - Something went wrong on our end​

{
"error": "Internal server error",
"code": "INTERNAL_ERROR"
}

Auto-generated from OpenAPI spec